Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041295
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2019-07-05 11:382019-08-22 14:44
ReportergorkaionView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision33d8fcf51e08
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041295: When a void receipt is a backdated transaction and the original receipt has adjustments the background process fails.

DescriptionWhen a receipt has a cost adjustment. For example a negative stock correction.
If this receipt is voided some days later keeping the original movement date the background process fails if backdated transactions are fixed.

2019-07-05 11:30:16.12 - It is not possible to process a Cost Adjustment that includes lines of transactions whose cost is permanently adjusted.\nLines: 10
Steps To ReproduceGo to Costing Rules and enable Backdated Transactions fix for F&B España.

Create a Goods Receipt and process it.
- BPartner: Bebidas Alegres
- Product: Agua Sin Gas
- Quantity: 100
- Movement date: 2 months before today.
Ensure that its cost is calculated.

On the Transactions Tab of the Agua sin Gas product. Search the transaction of the created Goods Receipt and add a manual adjustment:
- Amount: 20
- Incremental: True
- Unit Cost: false

Check that the total cost of the transaction is 20EUR higher than the unit cost.

Go back to the Goods Receipt and void it. Keep the same movement date than the original.

Execute the cost calculation background.
Check that it fails with error: It is not possible to process a Cost Adjustment that includes lines of transactions whose cost is permanently adjusted.\nLines: 10
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040863 closednonofrancisco When cost of a void receipt is calculated only unit cost amount should be considered. 

-  Notes
(0113522)
dmiguelez (developer)
2019-07-18 15:46

Go to Costing Rules and enable Backdated Transactions fix for F&B España.

Create a Goods Receipt and process it.
- BPartner: Bebidas Alegres
- Product: Agua Sin Gas
- Quantity: 100
- Movement date: 2 months before today.
Ensure that its cost is calculated.

On the Transactions Tab of the Agua sin Gas product. Search the transaction of the created Goods Receipt and add a manual adjustment:
- Amount: 20
- Incremental: True
- Unit Cost: false

Check that the total cost of the transaction is 20EUR higher than the unit cost.

Go back to the Goods Receipt and void it. Keep the same movement date than the original.

Execute the cost calculation background.
Check that the process is executed successfully.
(0113523)
hgbot (developer)
2019-07-18 15:47

Repository: erp/devel/pi
Changeset: 33d8fcf51e08e5acf060be42631f00b0e9ad511a
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Jul 16 00:24:28 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/33d8fcf51e08e5acf060be42631f00b0e9ad511a [^]

Fixes issue 41295:When a void receipt is a backdated transaction and the
original receipt has adjustments the background process fails.

The isCostPermanent was not properly saved and cause a wrong Permanentelly Adjusted
Transaction check

---
M src/org/openbravo/costing/CostingServer.java
---
(0113524)
dmiguelez (developer)
2019-07-18 15:49

Code Review + Testing Ok
(0114158)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-05 11:38 gorkaion New Issue
2019-07-05 11:38 gorkaion Assigned To => Triage Finance
2019-07-05 11:38 gorkaion Modules => Core
2019-07-05 11:38 gorkaion Triggers an Emergency Pack => No
2019-07-05 11:38 gorkaion Issue generated from 0040863
2019-07-05 11:38 gorkaion Relationship added related to 0040863
2019-07-05 12:23 Sandrahuguet Assigned To Triage Finance => collazoandy4
2019-07-06 02:02 collazoandy4 Status new => scheduled
2019-07-18 15:46 dmiguelez Note Added: 0113522
2019-07-18 15:47 hgbot Checkin
2019-07-18 15:47 hgbot Note Added: 0113523
2019-07-18 15:47 hgbot Status scheduled => resolved
2019-07-18 15:47 hgbot Resolution open => fixed
2019-07-18 15:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/33d8fcf51e08e5acf060be42631f00b0e9ad511a [^]
2019-07-18 15:49 dmiguelez Review Assigned To => dmiguelez
2019-07-18 15:49 dmiguelez Note Added: 0113524
2019-07-18 15:49 dmiguelez Status resolved => closed
2019-07-18 15:49 dmiguelez Fixed in Version => 3.0PR19Q4
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114158


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker